flash_section_program_info_t Struct Reference

FLASH section program memory context. More...

## Data Fields

uint32_t | startAddress
uint32_t | storedBytes
| A variable which is used to indicate if the buffer is full.
uint8_t | buffer [kFLASH_AccelerationRamSize]
| A buffer which is used to buffer a full section of data.

## Detailed Description

FLASH section program memory context.

An instance is maintained in this file, will is used to keep key information for write and flush operatations.

## Field Documentation

uint8_t buffer[kFLASH_AccelerationRamSize]

A buffer which is used to buffer a full section of data.

uint32_t startAddress

This address is used to record the address which is used to write the whole section into flash memory

uint32_t storedBytes

A variable which is used to indicate if the buffer is full.

The documentation for this struct was generated from the following file:

- flash_memory.c